Bug 812025 - Reading properties from Bpel Process
Reading properties from Bpel Process
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: riftsaw (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: kconner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 10:52 EDT by Vinicius
Modified: 2013-07-01 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Issue Reproducer (82.94 KB, application/zip)
2012-04-12 10:52 EDT, Vinicius
no flags Details

  None (edit)
Description Vinicius 2012-04-12 10:52:37 EDT
Created attachment 577092 [details]
Issue Reproducer

Description of problem:

Some users would like to access to server properties, such as ip address, hostname, etc.. from their bpel process.

Apache ODE provides a similar feature known as "process-properties". Please, refer to the bellow links for additional information:

1 - http://ode.apache.org/xpath-extensions.html
2 - https://issues.apache.org/jira/browse/ODE-863?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel#issue-tabshuaauhuhahuaa

Steps to Reproduce:
1. Download the Issue reproducer - HelloWorld.zip
2. Deploy it under a SOA-P 5.2 server
3. Send a simple SOAP Request to Webservice
  
Actual results:

INFO [ASSIGN] Assignment Fault: { http://docs.oasis-open.org/wsbpel/2.0/process/executable }selectionFailure,lineNo=39,faultExplanation=R-Value expression "{OXPath10Expression ode:process-property('ode.localhost.name')}" did not select any nodes. 

Expected results:

The variable should be assigned within host name value.
Comment 1 Jeff Yu 2012-04-20 03:27:18 EDT
 This is the corresponding issue at RiftSaw https://issues.jboss.org/browse/RIFTSAW-489
Comment 2 Ivo Bek 2012-07-18 05:05:24 EDT
Verified in SOA-P 5.3.0.ER5

Note You need to log in before you can comment on or make changes to this bug.